# load to_n first
require  'guitar/music_theory/note'

module Guitar
  autoload :VERSION,    'guitar/version'
  autoload :Practice,   'guitar/practice'

  autoload :Scale,      'guitar/music_theory/scale'

  autoload :Graphic,    'guitar/fretboard/graphic'
  autoload :Common,     'guitar/fretboard/common'
  autoload :String,     'guitar/fretboard/string'
  autoload :Fretboard,  'guitar/fretboard/fretboard'
  autoload :TonicShape, 'guitar/fretboard/tonic_shape'

  autoload :Server,     'guitar/sonic_pi/server'
  autoload :Client,     'guitar/sonic_pi/client'
  autoload :Play,       'guitar/sonic_pi/play.rb'

  # Fretboard size
  DEFAULT_SIZE = 13

  def self.debug?
    !!(ENV['DEBUG'])
  end
end
